[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Contnrs' (#fcl)

# TClassList.Add

Add a new class pointer to the list.

## Declaration

Source position: contnrs.pp line 121

`public function TClassList.Add(`
`AClass: TClass`
`):Integer;`

## Arguments

`AClass` |  | Class pointer to add.

## Function result

Index at which the class pointer was added.

## Description

Add adds AClass to the list, and returns the position at which it was added. It simply overrides the TList bevahiour, and introduces no new functionality.

## Errors

If not enough memory is available to expand the list, an exception may be raised.

## See also

TClassList.Extract |  | Extract a class pointer from the list.
#rtl.classes.tlist.add